unit Unit1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, CPrvt, Menus, Buttons, ExtCtrls, StdCtrls;

type
  TfMAIN = class(TForm)
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Open1: TMenuItem;
    N1: TMenuItem;
    Exit1: TMenuItem;
    User1: TMenuItem;
    Admin1: TMenuItem;
    User2: TMenuItem;
    Save1: TMenuItem;
    Private1: TPrivate;
    Panel1: TPanel;
    SpeedButton1: TSpeedButton;
    SaveBtn: TSpeedButton;
    Memo1: TMemo;
    OpenDialog1: TOpenDialog;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Admin1Click(Sender: TObject);
    procedure User2Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SaveBtnClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  fMAIN: TfMAIN;

implementation

{$R *.DFM}

procedure TfMAIN.FormCreate(Sender: TObject);
begin
  Private1.SetUID(0); {Admin}
  Private1.Prohibit;
end;

procedure TfMAIN.Admin1Click(Sender: TObject);
begin
  Private1.SetUID(0); {Admin}
  Private1.Prohibit;

end;

procedure TfMAIN.User2Click(Sender: TObject);
begin
  Private1.SetUID(1); {Admin}
  Private1.Prohibit;

end;

procedure TfMAIN.Exit1Click(Sender: TObject);
begin
  close;
end;

procedure TfMAIN.SpeedButton1Click(Sender: TObject);
begin
  if OpenDialog1.Execute then
  begin
    Memo1.Lines.LoadFromFile(OpenDialog1.FileName);
    Label1.Caption := OpenDialog1.FileName;
  end;
end;

procedure TfMAIN.SaveBtnClick(Sender: TObject);
begin
  if Length (OpenDialog1.FileName) > 0 then
  begin
    Memo1.Lines.SaveToFile(OpenDialog1.FileName);
  end;
end;

end.
